package uam.tdaw.eventos.controladores;


import javax.servlet.http.HttpSession;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

import uam.tdaw.eventos.clases.Cliente;
import uam.tdaw.eventos.clases.Usuario;
import uam.tdaw.eventos.negocio.ValidarUsuario;


@Controller
public class ValidacionController {

	@RequestMapping("/")
	public ModelAndView mostrarUsuarioFrm(){
		
		ModelAndView modelo = new ModelAndView("login");
		Usuario usuario = new Usuario();
		modelo.addObject("usuarioFrm", usuario);
		
		return modelo;
		
	}
	
	@RequestMapping(value="validarUsuario", method=RequestMethod.POST)
	public ModelAndView validarUsuario(@ModelAttribute("usuarioFrm")Usuario usuario, HttpSession session){
		
		ValidarUsuario validarUsuario = new ValidarUsuario();
		
		Cliente cliente = validarUsuario.validarUsuario(usuario);
		
		System.out.println("Entró el cliente " + cliente.getUsuario());

		ModelAndView modelo = new ModelAndView("bienvenido");
		
		return modelo;
	}
	
}
