package uam.tdaw.eventos.negocio;

import java.util.LinkedList;

import uam.tdaw.eventos.clases.Continente;
import uam.tdaw.eventos.clases.Opcion;
import uam.tdaw.eventos.clases.Pais;



public class AdministrarListas {

	
	public LinkedList<Continente> listaContinenentes(){
		
		LinkedList<Continente>lista = new LinkedList<Continente>();
		
		Continente americano = new Continente();
		americano.setNombreContinente("Continente Americano");
		americano.setClaveContinente("AME");

		Continente europeo = new Continente();
		europeo.setNombreContinente("Continente Europeo");
		europeo.setClaveContinente("EUR");
		
		Continente asiatico = new Continente();
		asiatico.setNombreContinente("Continente Asitico");
		asiatico.setClaveContinente("ASI");
		
		Continente africano = new Continente();
		africano.setNombreContinente("Continente Africano");
		africano.setClaveContinente("AFR");
		
		Continente oceanina = new Continente();
		oceanina.setNombreContinente("Continente Oceana");
		oceanina.setClaveContinente("OCE");
		
		lista.add(americano);
		lista.add(europeo);
		lista.add(asiatico);
		lista.add(africano);
		lista.add(oceanina);
		
		return lista;
	}
	
	
	public LinkedList<Continente>marcaSeleccionado(LinkedList<Continente>lista, String clave){
		
		for(int i=0;i<lista.size();i++){
			Continente aux = lista.get(i);
			if(aux.getClaveContinente().compareTo(clave)==0){
				lista.get(i).setSeleccionado(true);
			}
		}
		
		return lista;
	}
	
	public LinkedList<Pais> listaPaises(String cveContinente){
		
		LinkedList<Pais>lista = new LinkedList<Pais>();
		
		
		for (int i=1;i<=5;i++){
			Pais pais = new Pais();
			pais.setNombre("Pas " + i + " del Continente " + cveContinente);
			pais.setClave("CVEPASI0"+i);
			lista.add(pais);
		}

		return lista;
	}
	
	public LinkedList<Opcion> listaOpciones(){
		
		LinkedList<Opcion>lista = new LinkedList<Opcion>();
		
		for(int i=1;i<=5;i++){
			Opcion opcion = new Opcion();
			opcion.setNombre("Descripcin de la Opcin" + i);
			opcion.setClave("CVEVIA0"+i);
			lista.add(opcion);
		}
		
		return lista;
		
	}
	
}
